Foreman - Bug #6376

Firebug raises error: 404 not found: On selecting empty row from "hostgroup™ dropdown under "New
host" form

06/25/2014 09:21 AM - Dominic Cleal

Status: Closed
Priority: Low
Assignee: Shimon Shtein
Category: Web Interface
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1113012 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3247
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1113012

Description of problem:

| was trying to create a new host, and | selected the hostgroup from dropdown. Later | unselected the hostgroup by selecting a empty
row there and then Firebug raises error:

"NetworkError: 404 Not Found - https://dhcp207-190.1ab.eng.png.redhat.com/hosts/process_hostgroup"

Version-Release number of selected component (if applicable):
sat6 beta snap10 compose3

How reproducible:
always

Steps to Reproduce:

1. create a hostgroup

2. while creating new host, select hostgroup from down and then unselect it by selecting empty row from drop down
3.

Actual results:

Expected results:
no error should be raised on selecting empty row to unselect the previous selection

Additional info:
log from production.log:

Processing by HostsController#process_hostgroup as */*

Parameters: {"utf8"=>"l", "authenticity _token"=>"/P7i8eyaFGfuUe8/6uOXt6kv8Ih8YdzzQ/U1UkONi8s=", "host"=>{"name"=>"shost",
"organization_id"=>"1", "location_id"=>"2", "hostgroup_id"=>"", "compute_resource_id"=>"1", "environment_id"=>"3",
"content_source_id"=>"1", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"", "puppetclass_ids"=>[""], "managed"=>"true",
"progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "compute_attributes"=>{"cpus"=>"1", "memory"=>"805306368",
"nics_attributes"=>{"new_nics"=>{"type"=>"bridge", "_delete"=>"", "bridge"=>"eth0", "model"=>"virtio"}, "0"=>{"type"=>"bridge",
"_delete"=>"", "bridge"=>"eth0", "model"=>"virtio"}}, "volumes_attributes"=>{"new_volumes"=>{"pool_name"=>"default",
"capacity"=>"10G", "allocation"=>"0G", "format_type"=>"raw", "_delete"=>""}, "0"=>{"pool_name"=>"default", "capacity"=>"10G",
"allocation"=>"0G", "format_type"=>"raw", "_delete"=>""}}, "start"=>"1"}, "domain_id"=>"2", "realm_id"=>"", "mac"=>"",
"subnet_id"=>"1", "ip"=>"192.168.100.3", "interfaces_attributes"=>{"new_interfaces"=>{"_destroy"=>"false", "type"=>"Nic::Managed",

"mac"=>"", "name"=>"", "domain_id"=>"", "ip"=>"", "provider"=>"IPMI"}}, "architecture_id"=>"1", "operatingsystem_id"=>"1",
"provision_method"=>"build", "build"=>"1", "ptable_id"=>"7", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"1-Users",
"enabled"=>"1", "comment"=>"", "overwrite"=>"false"}, "kt_environment_id"=>"ACME_Corporation/Dev", "capabilities"=>"build

image", "provider"=>"Libvirt"}
Completed 404 Not Found in 32ms (ActiveRecord: 3.4ms)
https://bugzilla.redhat.com/show_bug.cgi?id=1113012
https://dhcp207-190.lab.eng.pnq.redhat.com/hosts/process_hostgroup

Revision 5c7e4ed6 - 03/01/2016 07:13 AM - Shimon Shtein
Fixes #6376 - AJAX call to update hostgroup info without hostgroup failed

History

#1 - 06/25/2014 09:22 AM - Dominic Cleal

- Category set to Web Interface

The 404's the correct response, but maybe there should be a simple error handler on the AJAX call.

#2 - 02/28/2016 08:57 AM - Shimon Shtein

- Assignee set to Shimon Shtein

#3 - 02/28/2016 09:41 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3247 added

#4 - 02/29/2016 07:53 AM - Sachin Ghai

this issue still appears with recent nightly box having Version 1.12.0-develop

#5 - 03/01/2016 08:01 AM - Shimon Shtein
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5¢c7e4ed69b422e6c1e8a73362d80fb23b75b3a95.

#6 - 03/01/2016 10:37 AM - Dominic Cleal

- translation missing: en.field_release set to 136
